Qt 5.8 | Qt Sensors | C++ Classes | QDistanceSensor

Qt 5.8.0 Reference Documentation

# QDistanceSensor Class

The QDistanceSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QDistanceSensor>
qmake: | QT += sensors
Since: | Qt 5.4
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QDistanceSensor(QObject *parent = Q_NULLPTR)
| ~QDistanceSensor()
QDistanceReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QDistanceSensor class is a convenience wrapper around QSensor.

The only behavioral difference is that this class sets the type properly.

This class also features a reading() function that returns a QDistanceReading instead of a QSensorReading.

For details about how the sensor works, see QDistanceReading.

See also QDistanceReading.

## Member Function Documentation

### QDistanceSensor::QDistanceSensor(QObject *parent = Q_NULLPTR)

Construct the sensor as a child of parent.

### QDistanceSensor::~QDistanceSensor()

Destroy the sensor. Stops the sensor if it has not already been stopped.

### QDistanceReading *QDistanceSensor::reading() const

Returns the reading class for this sensor.

See also QSensor::reading().